/*
 * CandelLightEffect.h
 *
 * Created: 20.11.2016 16:00:08
 *  Author: Thomas
 */ 


#ifndef CANDELLIGHTEFFECT_H_
#define CANDELLIGHTEFFECT_H_

#include "../HSV2RGB/HSV2RGB.h"

#define RAND_FLICKER_V_VALUE() ((rand() & 127) + 16)					// 128-255
#define RAND_FLICKER_DELAY() (((uint8_t)(rand() + 0x1f)) * 1)	// 25.5-3.1 Seconds (10ms Base)
#define RAND_FLICKER_DURATION() (((rand() & 0x03) + 1) * 16)	// 0.8-0.1 Seconds (10ms Base)
#define RAND_MICRO_FLICKER() (((rand() & 0x0f) + 10) * 1)				// 0.16-0.01 Seconds (10ms Base)
#define RAND_FLICKER_OFF_SPEED() ((rand() & 0x03) + 1)			// 20-5 Steps (Frame Base)

//enum CandelLightState { FlickerDelayState, FlickerDurationState, FlickerOffState };

typedef struct tagCandelLightEffect {
	HSV_t HSV;
	uint16_t FlickerDelay;
	uint8_t FlickerDuration;
	uint8_t FlickerOffSpeed;
	uint8_t MicroFlickerDelay;
//	enum  CandelLightState CandelLightState;
} CandelLightEffect_t, *pCandelLightEffect_t;

CandelLightEffect_t LEDStripe[LEDCount];

void CandelLightEffectInit(void);
void CandelLightEffect(void);



#endif /* CANDELLIGHTEFFECT_H_ */