/*
 * QuadratureDecoder.h
 *
 * Created: 26.11.2016 18:38:14
 *  Author: Thomas
 */ 


#ifndef QUADRATURDECODER_H_
#define QUADRATURDECODER_H_


#include <avr/io.h>


typedef struct tagQuadratureDec {
	uint8_t Counter;
	struct {
		uint8_t IndexQDTab;
		uint8_t CounterOld;
		uint8_t StepOld;
	} Internal;
} QuadratureDec_T, *pQuadratureDec_T;


void QuadratureDecoderInit(uint8_t inputs, pQuadratureDec_T instance);
uint8_t QuadratureEncoding(uint8_t inputs, pQuadratureDec_T instance);
int8_t QuadratureDecoderDiv4Step(pQuadratureDec_T instance);


#endif /* QUADRATURDECODER_H_ */