/*
 * main.h
 *
 * Created: 20.11.2016 14:00:43
 *  Author: Thomas
 */ 


#ifndef MAIN_H_
#define MAIN_H_


#include <avr/io.h>

//#define TEST_BOARD
//#define DEBUG_LEDS


#ifdef DEBUG
// DDR Output
	#define SET_DDR_DEBUG1	(DDRD |= (1<<DDD4));
	#define SET_DDR_DEBUG2	(DDRD |= (1<<DDD3));
	#define SET_DDR_DEBUG3	(DDRD |= (1<<DDD2));
	#define DEBUG_TOGGLE_PIN1	(PIND = (1<<PIND4));
	#define DEBUG_TOGGLE_PIN2	(PIND = (1<<PIND3));
	#define DEBUG_TOGGLE_PIN3	(PIND = (1<<PIND2));
#else
// Pull up resistors on
	#define SET_DDR_DEBUG1	(PORTD |= (1<<PORTD4))
	#define SET_DDR_DEBUG2	(PORTD |= (1<<PORTD3))
	#define SET_DDR_DEBUG3	(PORTD |= (1<<PORTD2))
	#define DEBUG_TOGGLE_PIN1
	#define DEBUG_TOGGLE_PIN2
	#define DEBUG_TOGGLE_PIN3
#endif


#define LED_COUNT 56
#define HALF_LED_COUNT (LED_COUNT>>1)
#define LED_COUNT_1FLOOR 8
#define LED_START_1FLOOR 12


#endif /* MAIN_H_ */